Next Previous Up Contents
Next: Items Checked
Up: votlint: Validates VOTable documents
Previous: votlint: Validates VOTable documents

### B.49.1 Usage

The usage of `votlint` is

       stilts <stilts-flags> votlint ucd=true|false unit=true|false|null
                                     maxrepeat=<int-value> validate=true|false
                                     version=1.0|1.1|1.2|1.3|1.4|1.5|1.6
                                     out=<location>
                                     [votable=]<location>

If you don't have the `stilts` script installed, write "`java -jar stilts.jar`" instead of "`stilts`" - see Section 3. The available `<stilts-flags>` are listed in Section 2.1. For programmatic invocation, the Task class for this command is `uk.ac.starlink.ttools.task.VotLint`.

Parameter values are assigned on the command line as explained in Section 2.3. They are as follows:

`maxrepeat = <int-value>` (Integer)
  Puts a limit on the number of times that the same issue will be reported. With this set to a relatively small number, the output is not cluttered with many repetitions of the same problem.

  [Default: `4`]

`out = <location>` (uk.ac.starlink.util.Destination)
  Destination file for output messages. May be a filename or "-" to indicate standard output.

  [Default: `-`]

`ucd = true|false` (Boolean)
  If true, the `ucd` attributes on FIELD and PARAM elements etc are checked for conformance against the UCD1+ standard or a list of known UCD1 terms.

  [Default: `true`]

`unit = true|false|null` (Boolean)
  If true, the `unit` attributes on FIELD and PARAM elements are checked for conformance against the VOUnits standard; if false, no such checks are made.

  The VOTable standard version 1.4 and later recommends use of VOUnits (there are some inconsistencies in the text on this topic in VOTable 1.4, but these are cleared up in V1.5). Earlier VOTable versions refer to a different (CDS) unit syntax, which is not checked by `votlint`. So by default unit syntax is checked when the VOTable is 1.4 or greater, and not for earlier versions, but that can be overridden by giving a `true` or `false` value for this parameter.

  The wording of the VOTable and VOUnit standards do not strictly require use of VOUnit syntax even at VOTable 1.4, so failed checks result in Warning rather than Error reports.

`validate = true|false` (Boolean)
  Whether to validate the input document aganist the VOTable DTD. If true (the default), then as well as `votlint`'s own checks, it is validated against an appropriate version of the VOTable DTD which picks up such things as the presence of unknown elements and attributes, elements in the wrong place, and so on. Sometimes however, particularly when XML namespaces are involved, the validator can get confused and may produce a lot of spurious errors. Setting this flag false prevents this validation step so that only `votlint`'s own checks are performed. In this case many violations of the VOTable standard concerning document structure will go unnoticed.

  [Default: `true`]

`version = 1.0|1.1|1.2|1.3|1.4|1.5|1.6` (uk.ac.starlink.votable.VOTableVersion)
  Selects the version of the VOTable standard which the input table is supposed to exemplify. The version may also be specified within the document using the "version" attribute of the document's VOTABLE element; if it is and it conflicts with the value specified by this flag, a warning is issued.

  If no value is provided for this parameter (the default), the version will be determined from the VOTable itself.

`votable = <location>` (InputStream)
  Location of the VOTable to be checked. This may be a filename, URL or "-" (the default), to indicate standard input. The input may be compressed using one of the known compression formats (Unix compress, gzip or bzip2).

Next Previous Up Contents
Next: Items Checked
Up: votlint: Validates VOTable documents
Previous: votlint: Validates VOTable documents

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk